package NelinearneStrukture;

/**
 * Čvor binarnog stabla.
 * Svaki čvor binarnog stabla u sebi čuva podatak (kod ovog čvora to je ceo broj)
 * i pokazivače na levo i desno dete.
 * 
 * @author Kostandin Dimitrijević, Strukture podataka i algoritmi, FON, 2010
 */
public class CvorStabla {
	// podatak koji se čuva u čvoru. 
	// Ako čvor treba da čuva neki drugi tip elementa, ovde to treba promeniti
	int podatak;

	// "pokazivač" na levi čvor (levo dete - koren levog podstabla)
	CvorStabla levo;
	// "pokazivač" na desni čvor (desno dete - koren desnog podstabla)
	CvorStabla desno;
	
	/**
	 * Konstruktor. Prihvata i postavlja sve elemente čvora.
	 * @param p Podatak koji se čuva u čvoru.
	 * @param l Pokazivač na levo dete
	 * @param d Pokazivač na desno dete
	 */
	public CvorStabla(int p, CvorStabla l, CvorStabla d){
		podatak = p;
		levo = l;
		desno = d;
	}
	
	/**
	 * Konstruktor. Inicijalizuje samo podatak. Ovaj konstruktor se poziva
	 * kada se kreira novi list u stablu.
	 * @param p Podatak koji se čuva u čvoru.
	 */
	public CvorStabla(int p){
		// poziva prethodni konstruktor i prosleđuje mu odgovarajuće parametre
		this(p, null, null);
	}
}
